apiVersion: apps/v1
kind: Deployment
metadata:
  name: fortune-deployment
  labels:
    app: fortune-app
spec:
  replicas: 1
  template:
    spec:
      containers:
      - image: quay.io/akosma/heavy-fortune:latest
        imagePullPolicy: Always
        name: fortune-container
        ports:
        - containerPort: 9090
          name: fortune-port
        resources:
          limits:
            cpu: 150m
          requests:
            cpu: 100m
        livenessProbe:
          httpGet:
            path: /healthz
            port: fortune-port
          periodSeconds: 10
          initialDelaySeconds: 10
    metadata:
      labels:
        app: fortune-app
  selector:
    matchLabels:
      app: fortune-app
  strategy:
    type: Recreate
